
<template>
    <div class="container-fluid py-5">
        <div class="row justify-content-center">
            <div class="col-12  ">
                <div class="row justify-content-center">
                    <div class="col-12 text-center"> <h1>Dieta</h1> </div>
                    <label v-show="messagebollean" class="text-center mb-3 w-100 bg-success text-white rounded py-2" > {{ message }}  <i  @click="clearmessage()" class="bi bi-x-circle ms-3 text-white"></i>  </label>
                </div>
            </div>        
        </div>
    </div>
    <Week :week="week" @setDateMin="setDateMin" @setDateMax="setDateMax"/>
    <Table :week="week" />
    <div class=" size-botton fixed-bottom mb-5 py-5">
        <div class="row ">
            <div class="col-1 ms-auto ">
                <i @click="$emit(`modalfunction`)" 
                :class="modal ? 'bi bi-plus-circle icon text-info' : 'bi bi-dash-circle icon text-white' "></i>
            </div>
        </div>
    </div>
</template>
<script>

import Table from '../table.vue'
import Week from '../weekcomp.vue'
export default {
    props:['modal'],
    components:{
        Table,
        Week,
    },
    data(){
        return{
            week:0,
        }
    },
    created(){
        var now = new Date();
        var start = new Date(now.getFullYear(), 0, 2);
        var diff = now - start;
        var oneDay = 1000 * 60 * 60 * 24;
        var day = Math.floor(diff / oneDay);
        this.week= Math. floor((day ) / 7);
    },
    methods:{
      
        setDateMin(succ){
            this.week = this.week + succ
         },

         setDateMax(succ){
            if(this.week <= 0){
                this.week = 0;
            }else if(this.week >= 0){
                this.week = this.week - succ;
            }
         },
         modalfunction(){
            this.modal = !this.modal
         },
         returnmessage(){
            this.messagebollean = true;
         },
         clearmessage(){
            this.messagebollean = false;
         }
    },
};
</script>

<style>
.icon{
    font-size: 1.7rem;
}
.size-botton{
    width: 10%;
    margin-left: 80%;
}

</style>